# $Revision: 1.26 $, $Date: 2006/10/31 23:01:13 $
Summary:	SELinux policy compiler
Summary(pl):	Kompilator polityki SELinux
Name:		checkpolicy
Version:	1.32
Release:	1
License:	GPL v2
Group:		Development
Source0:	http://www.nsa.gov/selinux/archives/%{name}-%{version}.tgz
# Source0-md5:	a58a216aaaa889903acd95938bf2db18
BuildRequires:	bison
BuildRequires:	flex
# it uses libsepol symbols not exported in shared library
BuildRequires:	libsepol-static >= 1.14
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Security-enhanced Linux is a patch of the Linux kernel and a number
of utilities with enhanced security functionality designed to add
mandatory access controls to Linux. The Security-enhanced Linux kernel
contains new architectural components originally developed to improve
the security of the Flask operating system. These architectural
components provide general support for the enforcement of many kinds
of mandatory access control policies, including those based on the
concepts of Type Enforcement, Role-based Access Control, and
Multi-level Security.

This package contains checkpolicy, the SELinux policy compiler. Only
required for building policies.

%description -l pl
Security-enhanced Linux jest prototypem jdra Linuksa i wielu
aplikacji uytkowych o funkcjach podwyszonego bezpieczestwa.
Zaprojektowany jest tak, aby w prosty sposb ukaza znaczenie
obowizkowej kontroli dostpu dla spoecznoci linuksowej. Ukazuje
rwnie jak tak kontrol mona doda do istniejcego systemu typu
Linux. Jdro SELinux zawiera nowe skadniki architektury pierwotnie
opracowane w celu ulepszenia bezpieczestwa systemu operacyjnego
Flask. Te elementy zapewniaj oglne wsparcie we wdraaniu wielu typw
polityk obowizkowej kontroli dostpu, wczajc te wzorowane na: Type
Enforcement (TE), kontroli dostpu opartej na rolach (RBAC) i
zabezpieczeniach wielopoziomowych.

Ten pakiet zawiera checkpolicy - kompilator polityki SELinux. Jest
wymagany do zbudowania polityki.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -pipe" \
	YACC="bison -y" \
	LIBDIR=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: checkpolicy.spec,v $
Revision 1.26  2006/10/31 23:01:13  qboosh
- updated to 1.32

Revision 1.25  2006/03/19 12:19:58  qboosh
- updated to 1.30

Revision 1.24  2005/12/21 23:23:10  qboosh
- updated to 1.28

Revision 1.23  2005/09/22 15:59:39  arekm
- up to 1.26

Revision 1.22  2005/07/01 21:59:53  qboosh
- updated to 1.24

Revision 1.21  2005/03/11 23:39:48  qboosh
- updated to 1.22

Revision 1.20  2005/01/08 17:01:18  qboosh
- updated to 1.20

Revision 1.19  2004/11/14 01:26:09  havner
- fix, rel 2

Revision 1.18  2004/11/14 01:21:23  havner
- amd64 fix

Revision 1.17  2004/11/04 19:50:49  qboosh
- updated to 1.18

Revision 1.16  2004/10/29 14:34:57  paladine
- pl fixes

Revision 1.15  2004/08/28 23:02:54  qboosh
- updated to 1.16

Revision 1.14  2004/07/02 23:07:35  qboosh
- updated to 1.14

Revision 1.13  2004/04/13 05:02:02  agaran
- updated to 1.10

Revision 1.12  2004/03/14 18:41:16  ankry
- pl fixes

Revision 1.11  2004/03/13 22:53:45  qboosh
- updated to 1.8

Revision 1.10  2004/02/24 14:36:42  qboosh
- updated to 1.6, removed obsolete patches, updated License (GPLv2 now)

Revision 1.9  2004/02/04 23:13:25  arekm
- include latest patches from fedora (features discussed on selinux ml)

Revision 1.8  2003/12/10 21:38:23  qboosh
- updated to 1.4

Revision 1.7  2003/10/19 22:38:53  arekm
- updated to 1.2

Revision 1.6  2003/08/06 16:45:53  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.5  2003/07/03 18:55:43  qboosh
- uhm, where this additional -O2 came from??? removed.

Revision 1.4  2003/07/03 08:24:14  qboosh
- use proper CC and optflags
- changed byacc to bison (preferred), added BR: flex

Revision 1.3  2003/06/28 14:55:08  qboosh
- pl summary, cleanups

Revision 1.2  2003/06/19 09:00:14  michuz
- adapterized (stolen ftom RH)
- added polish description

* Mon Jun 2 2003 Dan Walsh <dwalsh@redhat.com> 1.0-1
- Initial version
